#include<bits/stdc++.h>

using namespace std;

int main(){

    long long n, k;
    cin >> n >> k;
    vector<long long> v(n);
    for(long long i = 0 ; i < n ; i++){
        cin >> v[i];
    }
    long long i = 0;
    while(v[i] != k){
        i++;
    }
    if(i == n - 1){
        cout << v[0];
    }
    else cout << v[i + 1];
    return 0;
}